[Snort-devel] YNT: libnetfilter_queue.so.1 problem

Eray Balkanli Eray.Balkanli at ...3489...
Sat May 24 12:58:57 EDT 2014


"sudo apt-get install libnetfilter-queue-dev" solved this problem. You can ignore this e-mail. Thank you.


Eray


________________________________
Gönderen: Eray Balkanli
Gönderildi: 23 Mayıs 2014 Cuma 23:25
Kime: snort-devel at lists.sourceforge.net
Konu: libnetfilter_queue.so.1 problem


Hi,


I have a problem while trying to run Snort 2.9.6.1. I will be grateful if you help.


I am getting this error:


snort: error while loading shared libraries: libnetfilter_queue.so.1: cannot open shared object file: No such file or directory


I looked for solutions on Internet, but none of the suggestions helped. Actually the error message is right, when I enter /usr/local/lib, I cant see  a file called "libnetfilter_queue.so.1". I used snort many times before but never got this error. So I do not know why this file has not been created during installation.


Note that these approaches also did not work:


$LD_LIBRARY_PATH=/usr/local/lib/
$export LD_LIBRARY_PATH


2. Uninstall and install libdnet again


The version is libdnet1-12, downloaded from http://code.google.com/p/libdnet/downloads/list (tgz format). I typed to install:


$sudo ./configure

$sudo make

$sudo make install


My operating system is Ubuntu 14.04 LTS.


Thanks in advance!


Sincerely,

Eray

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.snort.org/pipermail/snort-devel/attachments/20140524/a298f2e5/attachment.html>


More information about the Snort-devel mailing list